Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163639 - rhn-applet shouldn't create ~/.rhn-applet.conf at login
Summary: rhn-applet shouldn't create ~/.rhn-applet.conf at login
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhn-applet
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Beth Nackashi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-19 19:25 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-05 16:33:33 UTC


Attachments (Terms of Use)
rhn-applet-2.1.17-dont-create-rhn-applet-conf-at-login.patch (deleted)
2005-07-19 19:25 UTC, Mark McLoughlin
no flags Details | Diff

Description Mark McLoughlin 2005-07-19 19:25:50 UTC
When a new user logs in, ~/.rhn-applet.conf is created by the applet.

What this means for Sabayon (http://www.gnome.org/projects/sabayon), is that
appears to the sysadmin as if the applet's configuration has changed, when
clearly it hasn't.

There shouldn't be any real need to write the configuration file if no
configuration has actually been changed. Attaching a patch to do that.

Details:
  - All ConfigFile subclasses now load the config in their constructor,
    just like ConfigFile itself
  - We don't save the config file when it doesn't already exist

Seems to work fine here

Comment 1 Mark McLoughlin 2005-07-19 19:25:51 UTC
Created attachment 116942 [details]
rhn-applet-2.1.17-dont-create-rhn-applet-conf-at-login.patch

Comment 2 Adrian Likins 2005-07-29 16:38:13 UTC
looks okay at first glance, I'll apply it and see what breaks

Comment 3 Rahul Sundaram 2005-11-24 20:08:54 UTC
Whats the status on this report?

Comment 4 Mark McLoughlin 2005-11-24 20:32:24 UTC
Looks like alikins thought the patch looked okay, was going to commit it and it
fell through the cracks

Comment 5 John Thacker 2006-10-29 22:37:19 UTC
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.

Comment 6 John Thacker 2006-11-05 16:33:33 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.